| Home | Libraries | People | FAQ | More

##### basic_socket_acceptor::io_control (2 of 2 overloads)

Perform an IO control command on the acceptor.

    template<
        typename IoControlCommand>
    boost::system::error_code io_control(
        IoControlCommand & command,
        boost::system::error_code & ec);

This function is used to execute an IO control command on the acceptor.

###### Parameters

command

  The IO control command to be performed on the acceptor.

ec

  Set to indicate what error occurred, if any.

###### Example

Getting the number of bytes ready to read:

    boost::asio::ip::tcp::acceptor acceptor(io_service);
    ...
    boost::asio::ip::tcp::acceptor::non_blocking_io command(true);
    boost::system::error_code ec;
    socket.io_control(command, ec);
    if (ec)
    {
      // An error occurred.
    }